Name: zsh
Version: 4.0.6
Release: alt1
Serial: 1

Summary: A shell with lots of features
License: BSD-like
Group: Shells
Url: http://www.%name.org/

Summary(ru_RU.KOI8-R):    .

Source0: ftp://ftp.%name.org/pub/%name-%version.tar.bz2
Source1: zcfg.tar.bz2
Source2: http://sunsite.dk/zsh/Guide/%{name}guide.tar.bz2

Patch1: zsh-sigpipe.patch
Patch2: zsh-cd.patch
Patch3: zsh-apt4rpm.patch
Patch4: zsh-4.0.4-alt-tinfo.patch

Requires(post,preun): %__install_info
BuildPreReq: yodl >= 1.31.18-ipl3mdk, autoconf >= 2.53

# Automatically added by buildreq on Mon Jul 01 2002
BuildRequires: libcap-devel libtinfo-devel yodl

%description
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, %name most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

Install the %name package if you'd like to try out a different shell.

%description -l ru_RU.KOI8-R
Zsh -    Unix.      Zsh
   .

%package doc
Summary: The doc package of %name
Summary(ru_RU.KOI8-R):     %name
Group: Shells
Requires: %name = %serial:%version-%release

%description doc
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, %name most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

This package include doc guide examples and manual for %name.

%description doc -l ru_RU.KOI8-R
Zsh -    Unix.     ,
zsh    .

        %name.

%prep
%setup -q -a1 -a2
%__mkdir_p zshguide
%patch1 -p1
%patch2 -p0
%patch3 -p1 -b .4rpm
%patch4 -p1

%build
export AUTOCONF=autoconf_2.5
export AUTOHEADER=autoheader_2.5
$AUTOCONF

%configure \
	--enable-etcdir=%_sysconfdir \
	--enable-function-subdirs \
	--with-curses-terminfo \
	#

for d in Doc Etc Src; do
	# SMP-incompatible
	make -C "$d" all
done

%install
# Zsh hardcodes the prefix in binary even at install.
pushd Src
	touch .in_rpm_install
	%makeinstall
popd

%make_install install install.man install.info DESTDIR=$RPM_BUILD_ROOT \
	fndir=%_datadir/%name/%version/functions \
	sitefndir=%_datadir/%name/site-functions

# Configuration files.
%__mkdir_p $RPM_BUILD_ROOT{/bin,%_sysconfdir}
cp -a zcfg/* $RPM_BUILD_ROOT%_sysconfdir
# Backward compatibilie should be removed in the others times.
pushd $RPM_BUILD_ROOT/bin && {
    mv ..%{_bindir}/zsh ./zsh
} && popd


# Copy documentation.
rm -rf docroot
%__mkdir_p docroot/{Examples,Documentation,Zsh_Guide}

cp -a README StartupFiles docroot
cp -a Functions/Misc/* Misc/* Util/* docroot/Examples
cp -a INSTALL ChangeLog* docroot/Documentation
cp -a Etc/* docroot/Documentation
mv docroot/Documentation/NEWS docroot
cp -a zshguide/*html docroot/Zsh_Guide

mkdir -p docroot/Zsh_Guide
bzcat %{SOURCE2}|tar xf - -C docroot/Zsh_Guide
mv docroot/Zsh_Guide/zshguide/*html docroot/Zsh_Guide/
rmdir docroot/Zsh_Guide/zshguide


rm -f docroot/StartupFiles/.distfiles
rm -f docroot/Examples/{Makefile*,*.yo}
rm -f docroot/Documentation/{Makefile*,*.yo}
mv docroot/Examples/compctl-examples docroot/StartupFiles

find docroot -name 'Makefile*' -o -name '.yo' -print0 |
	xargs -r0 %__rm -f --

find docroot $RPM_BUILD_ROOT%_datadir -type f -print0 |
	xargs -r0 %__grep -FZl /usr/local/bin |
	xargs -r0 %__perl -pi -e 's|/usr/local/bin|%_bindir|g' --

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%doc docroot/README docroot/NEWS
%config(noreplace) %_sysconfdir/z*
/bin/%name
#%_bindir/*
%_libdir/%name
%_mandir/man?/*
%_infodir/*.info*
%_datadir/%name

%files doc
%doc docroot/{Documentation,Examples,StartupFiles,Zsh_Guide}

%changelog
* Fri Sep 27 2002 Rider <rider@altlinux.ru> 1:4.0.6-alt1
- 4.0.6

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 4.0.4-alt5
- Patched to link with libtinfo.
- Fixed %%pre/%%preun/%%postun scripts.
- Resurrected %%serial to enable upgrades (rider sux).

* Wed Jan 09 2002 Rider <rider@altlinux.ru> 4.0.4-alt4
- _apt bugfix

* Sun Jan 06 2002 Rider <rider@altlinux.ru> 4.0.4-alt3
- apt-get completion fix (specific for ALT)
- /etc/zshrc cleanup

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 4.0.4-alt2
- russian summary and description

* Sat Nov 03 2001 Rider <rider@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Fri Aug 24 2001 Sergey Budnevitch <svb@altlinux.ru> 4.0.2-alt2
- Updated user guide
- minor changes in config files

* Sun Jul 15 2001 Sergey Budnevitch <svb@altlinux.ru> 4.0.2-alt1
- 4.0.2
- Remove duplicated documentation
- Sigpipe patch
- Several patches from development branch

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.9-ipl5mdk
- Fixed invalid dependences on /usr/local/*.

* Thu Jan 26 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> 3.1.9-ipl4mdk
- IPLabs Linux Team adaptations.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-4mdk
- Set some %config file to (noreplace).
- Make -A to complete spec file for _rpm.

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-3mdk
- Get /usr/share/man also in the completion for perl manpages.
- BM.

* Wed Jul  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-2mdk
- Fix buildroot hardcoded in binary.

* Wed Jun 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-1mdk
- Use makeinstall macros (not easy this one :\).
- 3.1.9.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.8-1mdk
- 3.1.8.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev22-3mdk
- Fix path (%prefix/ucb -> %_bindir/X11)
- Fix keys (home-end-suppr-delete) directly in the zsh binary.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev22-2mdk
- Remove doble .so in %_libdir/zsh/*.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev22-1mdk
- 3.1.6dev22.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev20-3mdk
- Fix completion of rpm with -qp*.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev20-2mdk
- Upgrade zshguide.

* Sat Mar 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev20-1mdk
- 3.1.6-dev20

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev19-3mdk
- Move global configuration here.
- Adjust groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev19-2mdk
- Add new zshguide from pws.
- Separate the doc to the doc package

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev19-1mdk
- Clean Up spec (thanks specs-helper).
- Remove all our patchs (now all is commited to upstream main).
- 3.1.6dev19.

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev18-3mdk
- Recompile with glibc2.1.3 (first one).

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev18-2mdk
- Add --freshen completion.

* Tue Feb 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev18-1mdk
- Fix descriptions and summary.
- 3.1.6dev18.

* Thu Feb 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev17-2mdk
- Remove Makefile in %doc.
- BuildRequires: autoconf tetex.
- Lot of modications in the default config as suggested by Bart
  Schaefer <schaefer@zsh.org>.
- 3.1.6dev17.

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev16-1mdk
- dev16.
- Redo the tar_archive patchs.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev15-1mdk
- dev15.
- Fix doc generation with dev15.
- remove META-FAQ.
- disable lfs on sparc.

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev14-1mdk
- dev14 (note the name change).

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6pws13-3mdk
- Remove temporary files.

* Fri Dec 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.6pws13 (mainly bug fixes).
- fix %post.
- fix rpm completion

* Thu Dec 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.6pws11 (mainly bug fixes).

* Tue Dec  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add run-help and perl-build the documentation.

* Tue Nov 30 1999 Francis Galiegue <francis@mandrakesoft.com>

- Completion machine patch - we use GNU make and GNU tar
- Small fix to %post script

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.6pws10
- Fix zprofile.
- Clean-up Franciseries.
- Clean-up specs.

* Mon Nov 29 1999 Francis Galiegue <francis@mandrakesoft.com>
- Grrr... Rebuilt on kenobi, toy ain't a cooker

* Mon Nov 29 1999 Francis Galiegue <francis@mandrakesoft.com>

- Completion system now handles bzip2'ed manpages and tarballs
- Some cool options

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add zshguide.txt to documentation.

* Thu Oct 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix bug in %_sysconfdir/zsh use USERNAME instead of USER.
- Improve %_sysconfdir/z* to source the /etc/profile.d/ files.

* Mon Oct 04 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 3.1.6-pws6
- Fix bad link.
- Fix bad manpages.

* Tue Aug 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix typo in examples directory name

* Sun Aug  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Copy documentation (yes a lot).
- Remove the completion machine and put them in [[ {etc,root}(skel|files) ]] package.

* Sat Aug  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- By defaut we launch the completion machine.
- Put zsh in %_bindir/
- Rewrite of Spec file for this new major version.

# end of file
